## git-sizer 1.3.0+dfsg

=== Makefile ===
PACKAGE := github.com/github/git-sizer
ROOTDIR := $(abspath $(CURDIR))
GOPATH := $(ROOTDIR)/.gopath
export GOPATH

GO := $(CURDIR)/script/go
GOFMT := $(CURDIR)/script/gofmt

GO_LDFLAGS := -X main.BuildVersion=$(shell git describe --tags --always --dirty || echo unknown)
GOFLAGS := -ldflags "$(GO_LDFLAGS)"

ifdef USE_ISATTY
GOFLAGS := $(GOFLAGS) --tags isatty
endif

GO_SRCS := $(sort $(shell cd $(GOPATH)/src/$(PACKAGE) && $(GO) list -f ' \
	{{$$ip := .ImportPath}} \
	{{range .GoFiles     }}{{printf ".gopath/src/%s/%s\n" $$ip .}}{{end}} \
	{{range .CgoFiles    }}{{printf ".gopath/src/%s/%s\n" $$ip .}}{{end}} \
	{{range .TestGoFiles }}{{printf ".gopath/src/%s/%s\n" $$ip .}}{{end}} \
	{{range .XTestGoFiles}}{{printf ".gopath/src/%s/%s\n" $$ip .}}{{end}} \
	' ./...))

.PHONY: all
all: bin/git-sizer

.PHONY: bin/git-sizer
bin/git-sizer:
	mkdir -p bin
	cd $(GOPATH)/src/$(PACKAGE) && $(GO) build $(GOFLAGS) -o $(ROOTDIR)/$@ $(PACKAGE)

# Cross-compile for a bunch of common platforms. Note that this
# doesn't work with USE_ISATTY:
.PHONY: common-platforms
common-platforms:

# Create releases for a bunch of common platforms. Note that this
# doesn't work with USE_ISATTY, and VERSION must be set on the command
# line; e.g.,
#
#     make releases VERSION=1.2.3
.PHONY: releases
releases:

# Define rules for a bunch of common platforms that are supported by go; see
#     https://golang.org/doc/install/source#environment
# You can compile for any other platform in that list by running
#     make GOOS=foo GOARCH=bar

define PLATFORM_template =
.PHONY: bin/git-sizer-$(1)-$(2)$(3)
bin/git-sizer-$(1)-$(2)$(3):
	mkdir -p bin
	cd $$(GOPATH)/src/$$(PACKAGE) && \
		GOOS=$(1) GOARCH=$(2) $$(GO) build $$(GOFLAGS) -ldflags "-X main.ReleaseVersion=$$(VERSION)" -o $$(ROOTDIR)/$$@ $$(PACKAGE)
common-platforms: bin/git-sizer-$(1)-$(2)$(3)

# Note that releases don't include code from vendor (they're only used
# for testing), so no license info is needed from those projects.
.PHONY: releases/git-sizer-$$(VERSION)-$(1)-$(2).zip
releases/git-sizer-$$(VERSION)-$(1)-$(2).zip: bin/git-sizer-$(1)-$(2)$(3)
	if test -z "$$(VERSION)"; then echo "Please set VERSION to make releases"; exit 1; fi
	mkdir -p releases/tmp-$$(VERSION)-$(1)-$(2)
	cp README.md LICENSE.md releases/tmp-$$(VERSION)-$(1)-$(2)
	cp bin/git-sizer-$(1)-$(2)$(3) releases/tmp-$$(VERSION)-$(1)-$(2)/git-sizer$(3)
	cp vendor/github.com/spf13/pflag/LICENSE releases/tmp-$$(VERSION)-$(1)-$(2)/LICENSE-spf13-pflag
	rm -f $$@
	zip -j $$@ releases/tmp-$$(VERSION)-$(1)-$(2)/*
	rm -rf releases/tmp-$$(VERSION)-$(1)-$(2)
releases: releases/git-sizer-$$(VERSION)-$(1)-$(2).zip
endef

$(eval $(call PLATFORM_template,linux,amd64))
$(eval $(call PLATFORM_template,linux,386))

$(eval $(call PLATFORM_template,darwin,386))
$(eval $(call PLATFORM_template,darwin,amd64))

$(eval $(call PLATFORM_template,windows,amd64,.exe))
$(eval $(call PLATFORM_template,windows,386,.exe))

.PHONY: test
test: bin/git-sizer gotest

.PHONY: gotest
gotest:
	cd $(GOPATH)/src/$(PACKAGE) && $(GO) test -timeout 60s $(GOFLAGS) ./...

.PHONY: gofmt
gofmt:
	$(GOFMT) -l -w $(GO_SRCS) | sed -e 's/^/Fixing /'

.PHONY: goimports
goimports:
	goimports -l -w -e $(GO_SRCS)

.PHONY: govet
govet:
	$(GO) vet ./...

.PHONY: clean
clean:
	rm -rf bin

# List all of this project's Go sources, excluding vendor, within .gopath:
.PHONY: srcs
srcs:
	@printf "%s\n" $(GO_SRCS)

## git-sizer 1.2.0+dfsg

=== debian/changelog ===
git-sizer (1.2.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #904186).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 Jul 2018 19:17:16 +1000

=== debian/control ===
Source: git-sizer
Section: devel
Priority: optional
Standards-Version: 4.1.5
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               golang-any,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev
# Tests:
    ,git
Homepage: https://github.com/github/git-sizer
Vcs-Browser: https://salsa.debian.org/go-team/packages/git-sizer
Vcs-Git: https://salsa.debian.org/go-team/packages/git-sizer.git
XS-Go-Import-Path: github.com/github/git-sizer
Testsuite: autopkgtest-pkg-go

Package: git-sizer
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: compute various size metrics for a Git repository
 git-sizer computes various size metrics for a Git repository, flagging
 those that might cause problems or inconvenience. For example:
 .
  • Is the repository too big overall?
  • Does the repository have too many references (branches and/or tags)?
  • Does the repository include too many objects?
  • Does the repository include gigantic blobs (files)?
  • Does the repository include many slightly different large text files?
  • Does the repository include gigantic trees (directories)?
  • Does the repository have many identical files?
  • Does the repository include absurdly long path names?
  • Are there other bizarre and questionable things in the repository?
    • Annotated tags pointing at one another in long chains?
    • Octopus merges with dozens of parents?
    • Commits with gigantic log messages?
 .
 git-sizer can help to reveal the problems described above.

## git-sizer 1.3.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: git-sizer
 Section: devel
 Priority: optional
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 11~),

## git-sizer 1.3.0+dfsg

=== debian/changelog ===
git-sizer (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.3.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Jan 2019 20:42:44 +1100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	cd _build/src/github.com/github/git-sizer && git init
	PATH="$(CURDIR)/_build/bin:$${PATH}" dh_auto_test

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/github/git-sizer/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz

## git-sizer 1.5.0

=== Makefile ===
PACKAGE := github.com/github/git-sizer
GO111MODULES := 1
export GO111MODULES

GO := $(CURDIR)/script/go

GO_LDFLAGS := -X main.BuildVersion=$(shell git describe --tags --always --dirty || echo unknown)
GOFLAGS := -mod=readonly -ldflags "$(GO_LDFLAGS)"

ifdef USE_ISATTY
GOFLAGS := $(GOFLAGS) --tags isatty
endif

.PHONY: all
all: bin/git-sizer

.PHONY: bin/git-sizer
bin/git-sizer:
	mkdir -p bin
	$(GO) build $(GOFLAGS) -o $@ .

# Cross-compile for a bunch of common platforms. Note that this
# doesn't work with USE_ISATTY:
.PHONY: common-platforms
common-platforms:

# Create releases for a bunch of common platforms. Note that this
# doesn't work with USE_ISATTY, and VERSION must be set on the command
# line; e.g.,
#
#     make releases VERSION=1.2.3
.PHONY: releases
releases:

# Define rules for a bunch of common platforms that are supported by go; see
#     https://golang.org/doc/install/source#environment
# You can compile for any other platform in that list by running
#     make GOOS=foo GOARCH=bar

define PLATFORM_template =
.PHONY: bin/git-sizer-$(1)-$(2)$(3)
bin/git-sizer-$(1)-$(2)$(3):
	mkdir -p bin
	GOOS=$(1) GOARCH=$(2) $$(GO) build $$(GOFLAGS) -ldflags "-X main.ReleaseVersion=$$(VERSION)" -o $$@ .
common-platforms: bin/git-sizer-$(1)-$(2)$(3)

# Note that releases don't include code from vendor (they're only used
# for testing), so no license info is needed from those projects.
.PHONY: releases/git-sizer-$$(VERSION)-$(1)-$(2).zip
releases/git-sizer-$$(VERSION)-$(1)-$(2).zip: bin/git-sizer-$(1)-$(2)$(3)
	if test -z "$$(VERSION)"; then echo "Please set VERSION to make releases"; exit 1; fi
	mkdir -p releases/tmp-$$(VERSION)-$(1)-$(2)
	cp README.md LICENSE.md releases/tmp-$$(VERSION)-$(1)-$(2)
	cp bin/git-sizer-$(1)-$(2)$(3) releases/tmp-$$(VERSION)-$(1)-$(2)/git-sizer$(3)
	cp $$$$($$(GO) list -f '{{.Dir}}' github.com/spf13/pflag)/LICENSE \
		releases/tmp-$$(VERSION)-$(1)-$(2)/LICENSE-spf13-pflag
	rm -f $$@
	zip -j $$@ releases/tmp-$$(VERSION)-$(1)-$(2)/*
	rm -rf releases/tmp-$$(VERSION)-$(1)-$(2)
releases: releases/git-sizer-$$(VERSION)-$(1)-$(2).zip
endef

$(eval $(call PLATFORM_template,linux,amd64))
$(eval $(call PLATFORM_template,linux,386))

$(eval $(call PLATFORM_template,darwin,amd64))
$(eval $(call PLATFORM_template,darwin,arm64))

$(eval $(call PLATFORM_template,windows,amd64,.exe))
$(eval $(call PLATFORM_template,windows,386,.exe))

.PHONY: test
test: bin/git-sizer gotest

.PHONY: gotest
gotest:
	$(GO) test -timeout 60s $(GOFLAGS) ./...

.PHONY: clean
clean:
	rm -rf bin

=== debian/changelog ===
git-sizer (1.5.0-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 15:52:40 +1000

git-sizer (1.5.0-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 09:57:53 +0100

git-sizer (1.5.0-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 09:34:20 +0530

git-sizer (1.5.0-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:14 +1200

git-sizer (1.5.0-3) unstable; urgency=medium

  * Team upload
  * Add patch to increase pipe buffer in tests
    (Really closes: #1009690, #1010541)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Mar 2023 13:53:21 +0800

git-sizer (1.5.0-2) unstable; urgency=medium

  * Team upload
  * Backport patch to fix test with new version of git
    (Closes: #1009690, #1010541)
  * Change section to vcs
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Add Rules-Requires-Root
  * Remove unused Files-Excluded in d/copyright
  * Fix uscan watch file
  * Update debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 13 Mar 2023 17:42:15 +0800

git-sizer (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.
  * DH/compat to version 12.
  * rules: respect "nocheck" in DEB_BUILD_OPTIONS.
  * Build-Depends:
    + golang-github-cli-safeexec-dev
    + golang-golang-x-sync-dev
    + golang-uber-goleak-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Mar 2022 17:33:50 +1100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: git-sizer
-Section: devel
+Section: vcs
 Priority: optional
-Standards-Version: 4.3.0
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.6.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-github-cli-safeexec-dev,
                golang-github-spf13-pflag-dev,
+               golang-golang-x-sync-dev,
                golang-github-stretchr-testify-dev
 # Tests:
     ,git
+    ,golang-uber-goleak-dev
 Homepage: https://github.com/github/git-sizer
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-sizer
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-sizer.git
 XS-Go-Import-Path: github.com/github/git-sizer
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 
 Package: git-sizer

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,7 @@
 	dh_auto_install -- --no-source
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd _build/src/github.com/github/git-sizer && git init
 	PATH="$(CURDIR)/_build/bin:$${PATH}" dh_auto_test
+endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
  https://github.com/github/git-sizer/tags \
  .*/v?@ANY_VERSION@\.tar\.gz debian
